Viewing 30 posts - 1 through 30 (of 46 total)
  • Author
    Posts
  • #901498

    Hi there,
    I work wirh an Eventcalendar EventOn… but since the last Update of Enfold (-> 4.21) I cant save their Events. (this is the action: https://barista-accademia.de/wp-admin/post.php?post=5300&action=edit)

    Their team already debugged and found out that this must have to do with ENFOLDs last update.
    In fact, if I switch to a standard theme – everything is fine!
    However, updating regular posts or products works fine, too…

    This said, I dont know if this has to do with ENFOLDs update including WPs Security Update last week or ENFOLDs update only.

    Any chance that someone could check?
    Please see this video: https://screencast-o-matic.com/watch/cFV3bco3Tk

    thanks in advance
    Pedro

    #901580

    Hey aovivo,

    Can you give us ftp access too? so we can check further.

    Best regards,
    Nikko

    #901622
    This reply has been marked as private.
    #901894

    So, I rolled back to Enfold 4.2 and everything is fine… so please check which change leads to the error not saving those posts – thanks.
    as stated above: any recent standard theme does not show any error…

    regards
    Pedro

    #902646

    Hi there, any assistance here?
    Please advise.
    Thanks!
    Pedro

    #902699

    Hi,

    Sorry for the late response, have you turned on wordpress debug in wp-config.php before? turning on the debug.log file sometimes help show errors that occur even when no errors are shown on the backend or frontend.

    define( 'WP_DEBUG', true );
    
    // Enable Debug logging to the /wp-content/debug.log file
    define( 'WP_DEBUG_LOG', true );
    
    // Disable display of errors and warnings 
    define( 'WP_DEBUG_DISPLAY', false );

    Best regards,
    Nikko

    #902768

    I had it active, but turned it to false yesterday fpr security reasons.. now I set it up again. Please check. thanks!

    #903198

    hey there – any news here? whats the plan?
    Should the very new version (yesterday) solve the problem?

    please advise!
    thanks
    P.-

    #903228

    Okay. just finished testing – it does not work with 4.2.2. either.
    Went back to 4.2 – everything is fine… so there must been a change from 4.2. to 4.2.1 that leads to that error.
    Just a reminder – a standard theme like twenty twelve, 2013 etc… does not cause that issue…

    since you stated that there was a security issue in 4.2. I am a bit nervous .
    please assist!

    thanks
    regards
    P.-

    #903629

    Hi there, dont want to hassle, but I need a solution here…
    thanks
    P.-

    #904178

    Hi,

    Can you please link us your phpinfo file, so we can take a look at the server configuration?

    Best regards,
    Basilis

    #904303
    This reply has been marked as private.
    #904836

    Hi there, any news here?

    #905304

    Hi,

    Thank you for the info.

    We are still not sure what’s causing the error so we need to test it on the latest version. Please create a staging site or upgrade the actual site to the latest version, 4.2.2.

    Best regards,
    Ismael

    #905373

    As I mentioned – I upgraded to 4.2.2. and the error persists. So my guess is, that there is a change somewhere between version 4.2. and 4.2.1.
    I have sent you the file php info file to check if the server is not prepared for any change you made in 4.2.1.
    As this error is very specific – but still crutial – you might whant to check why storing the data leads to that error… it always shows a black page with a ‘-1’ in the corner… never seen that before myself.

    I have uploaded the version 4.2.2. now.
    thanks
    Pedro

    #906002

    Hi there, any update here?

    #906030

    Hi,

    The site is still running on version 4.2. We won’t be able to debug the issue if we can’t reproduce it. Please upgrade to version 4.2.2.

    Best regards,
    Ismael

    #906035

    I just switched to 4.2.2. right now. please check

    #906255

    so what else can I get you? this is rather urhent! thanks

    #906474

    Hi,

    The php version is not low. Can you update it to php ver 7.0 so we can be able to check if there is a conflict there please?
    We need to try see the error there first.

    Also memory_limit is low, can you ask your server to make it as 512M please?

    Best regards,
    Basilis

    #906478

    unfortunately my hoster does not offer php ver 7.0.
    as for memory limit, I can check…

    but why is this working with ENFOLD 4.2 and with version 4.2.1 it has problems in storing posts (as I saw some other users report similar issues…)?

    #906664

    Hi there, its not possible for me and my hoster to neither switch to php 7.x or upgrade the memory to 512mb at this time.

    however, I dont know why this would help, since the systems should run with php 5.6x and 256mb memory – and, the system didnt change and the performance was good so far. the only thing that changed was the theme upgrade from 4.2 to 4.2.1 that lead to the described issue…

    You asked me to
    1) turn on debug mode for WP – i did, for a week
    2) give you WP and FTP access
    3) upgrade to ENFOLD 4.2.2
    4) set up a php info file

    the webpage is a live shop and booking system, so I need to be cautious with changing values…
    I still hope someone from your dev team finds time to check why this is happening as I read that there are some other users with similar issues…

    let me know what else I can do.
    thanks
    Pedro

    • This reply was modified 2 years, 5 months ago by  aovivo.
    #907299

    Hi,

    Can you, as it is a live version, create a staging area and do those changes there?
    So we can be able to find solutions the easiest way.

    Best regards,
    Basilis

    #907794

    Thas a good idea – never done that before, but I will install the version later today..
    Any suggestion for a good and reliable staging plug-in?

    thanks
    P.-

    #907827

    Hi,

    If you are looking to copy your site to a new location then you could try this out: https://wordpress.org/plugins/wp-migrate-db/

    Best regards,
    Rikard

    #907830

    no, this must stay on same server.

    #907838

    Hi,

    Ok, you can most likely set that in plugin options. Did you try it out?

    Best regards,
    Rikard

    #909305

    SoI learned that (-1) shown on a blank page might mean “php memory limit error” – this blank page comes while saving specific posts (not all) after ENFOLD’s update from 4.2 to 4.21 or to 4.22.

    The hoster has now increased memory to 512MB – nothing changes.
    I have deactivated and deleted a bunch of plug-ins and running the system with the most neccessary.
    Stating site requires a 2 Gb space, which is not possible at the moment.

    any other chance to get to the bottom of this?
    please assist.
    thanks
    Pedro

    #909537

    Hi,

    I checked the php settings (see private field) and the memory_limit is still set to 128M. Please post the FTP details in the private field so that we can access the htaccess file.

    Best regards,
    Ismael

    #909628
    This reply has been marked as private.
Viewing 30 posts - 1 through 30 (of 46 total)

The topic ‘Unable to save specific posts after update – leads to blank page (showing -1)’ is closed to new replies.